## kmail 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.19.3")

project(kmail VERSION ${PIM_VERSION})

include(CheckIncludeFiles)


set(KF5_MIN_VERSION "5.87.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

# Do NOT add quote
set(KDEPIM_DEV_VERSION)
set(RELEASE_SERVICE_VERSION "21.12.3")

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")


set(AKONADI_MIMELIB_VERSION "5.19.3")
set(AKONADI_CONTACT_VERSION "5.19.3")
set(CALENDARUTILS_LIB_VERSION "5.19.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.19.3")
set(KLDAP_LIB_VERSION "5.19.3")
set(KMAILTRANSPORT_LIB_VERSION "5.19.3")
set(KONTACTINTERFACE_LIB_VERSION "5.19.3")
set(KMIME_LIB_VERSION "5.19.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.19.3")
set(AKONADI_VERSION "5.19.3")
set(KTNEF_LIB_VERSION "5.19.3")
set(GRANTLEETHEME_LIB_VERSION "5.19.3")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "5")

set(QT_REQUIRED_VERSION "5.15.2")
option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)


find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Network Test Widgets WebEngine WebEngineWidgets)
set(LIBGRAVATAR_VERSION "5.19.3")
set(MAILCOMMON_LIB_VERSION "5.19.3")
set(MESSAGELIB_LIB_VERSION "5.19.3")
set(LIBKLEO_LIB_VERSION "5.19.3")
set(PIMCOMMON_LIB_VERSION "5.19.3")
set(LIBKDEPIM_LIB_VERSION "5.19.3")
set(LIBKSIEVE_LIB_VERSION "5.19.3")
set(AKONADI_SEARCH_VERSION "5.19.3")

find_package(KF5WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG REQUIRED)
set_package_properties(KF5AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "https://invent.kde.org/pim/akonadi-search" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")

set(GPGMEPP_LIB_VERSION "1.13.1")
find_package(Gpgmepp ${GPGMEPP_LIB_VERSION} CONFIG REQUIRED)

# Find KF5 package
find_package(KF5Bookmarks ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Crash ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_MIN_VERSION})
set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)
find_package(KF5GuiAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ItemViews ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5JobWidgets ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KCMUtils ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Notifications ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5NotifyConfig ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Parts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Service ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Sonnet ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5TextWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WindowSystem ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Ldap ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransportAkonadi ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5Gravatar ${LIBGRAVATAR_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5LibKSieve ${LIBKSIEVE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Tnef ${KTNEF_LIB_VERSION} CONFIG REQUIRED)
find_package(MailTransportDBusService CONFIG REQUIRED)

find_package(Qt5Keychain CONFIG)
set_package_properties(Qt5Keychain PROPERTIES
                                   DESCRIPTION "Provides support for secure credentials storage"
                                   URL "https://github.com/frankosterfeld/qtkeychain"
				   TYPE REQUIRED)


configure_file(config-enterprise.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-enterprise.h )

include_directories(${kmail_SOURCE_DIR} ${kmail_BINARY_DIR})
configure_file(kmail-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kmail-version.h @ONLY)
if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)

find_package(KUserFeedback 1.0.0 CONFIG)
set_package_properties(KUserFeedback PROPERTIES DESCRIPTION "User Feedback lib" TYPE OPTIONAL PURPOSE "Allow to send Telemetry Information (optional). It can be disable in apps.")

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()


option(USE_PRECOMPILED_HEADERS "Use precompiled headers" OFF) # Set to OFF when using clazy and such
set(COMPILE_WITH_CMAKE_PCH_SUPPORT OFF)
macro(pim_target_precompile_headers)
    if (USE_PRECOMPILED_HEADERS)
	    set(COMPILE_WITH_CMAKE_PCH_SUPPORT ON)

        if (COMPILE_WITH_CMAKE_PCH_SUPPORT)
            target_precompile_headers(${ARGV})
        endif()
    endif()
endmacro()


add_subdirectory(src)
add_subdirectory(agents)
add_subdirectory(ktnef)
add_subdirectory(kmail-refresh-settings)
ecm_qt_install_logging_categories(
        EXPORT KMAIL
        FILE kmail.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
if(KF5DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kmail\")

qt_generate_dbus_interface(kmkernel.h org.kde.kmail.kmail.xml OPTIONS -a)
qt_generate_dbus_interface(editor/kmcomposerwin.h org.kde.kmail.mailcomposer.xml OPTIONS -a)

add_custom_target(kmail_xml ALL
    DEPENDS ${kmail_BINARY_DIR}/src/org.kde.kmail.kmail.xml
    DEPENDS ${kmail_BINARY_DIR}/src/org.kde.kmail.mailcomposer.xml
    COMMENT "Helper target for XML stuff. The Kontact plugin, KOrganizer and others depend on it."
    )

if (TARGET KUserFeedbackWidgets)
    add_definitions(-DWITH_KUSERFEEDBACK)
endif()

add_subdirectory(pics)
add_subdirectory(icons)
add_subdirectory(kontactplugin)

########### kmailprivate ###############




set(kmail_common_SRCS)
ecm_qt_declare_logging_category(kmail_common_SRCS HEADER kmail_debug.h IDENTIFIER KMAIL_LOG CATEGORY_NAME org.kde.pim.kmail
        DESCRIPTION "kmail (kmail)"
        OLD_CATEGORY_NAMES log_kmail
        EXPORT KMAIL
    )

add_library(kmailprivate)
if (TARGET KUserFeedbackWidgets)
    target_sources(kmailprivate PRIVATE
        userfeedback/accountinfosource.cpp
        userfeedback/plugininfosource.cpp
        userfeedback/kmailuserfeedbackprovider.cpp
        userfeedback/accountinfosource.h
        userfeedback/plugininfosource.h
        userfeedback/kmailuserfeedbackprovider.h
        )
endif()

target_sources(kmailprivate PRIVATE
    ${kmail_common_SRCS}
    attributes/taskattribute.cpp
    folderarchive/folderarchiveaccountinfo.cpp
    folderarchive/folderarchiveutil.cpp
    folderarchive/folderarchivecache.cpp
    folderarchive/folderarchiveagentcheckcollection.cpp
    folderarchive/folderarchivemanager.cpp
    folderarchive/folderarchiveagentjob.cpp
    collectionpage/collectiontemplatespage.cpp
    collectionpage/collectionviewpage.cpp
    collectionpage/collectionquotapage.cpp
    collectionpage/collectionquotawidget.cpp
    collectionpage/collectionmailinglistpage.cpp
    collectionpage/collectionshortcutpage.cpp
    configuredialog/configagentdelegate.cpp
    configuredialog/configuredialoglistview.cpp
    configuredialog/configuredialog.cpp
    configuredialog/configuredialog_p.cpp
    configuredialog/configuremiscpage.cpp
    configuredialog/configuresecuritypage.cpp
    configuredialog/configurecomposerpage.cpp
    configuredialog/configureappearancepage.cpp
    configuredialog/configureaccountpage.cpp
    configuredialog/configurepluginpage.cpp
    configuredialog/colorlistbox.cpp
    configuredialog/configureplugins/configurepluginslistwidget.cpp
    searchdialog/kmsearchmessagemodel.cpp
    searchdialog/searchpatternwarning.cpp
    searchdialog/kmailsearchpatternedit.cpp
    searchdialog/searchwindow.cpp
    searchdialog/searchdescriptionattribute.cpp
    searchdialog/incompleteindexdialog.cpp
    identity/identitylistview.cpp
    identity/identitydialog.cpp
    identity/xfaceconfigurator.cpp
    identity/encodedimagepicker.cpp
    identity/identitypage.cpp
    identity/newidentitydialog.cpp
    identity/identityeditvcarddialog.cpp
    identity/identityaddvcarddialog.cpp
    identity/identityinvalidfolder.cpp
    identity/identityfolderrequester.cpp
    editor/kmcomposereditorng.cpp
    editor/composer.cpp
    editor/codec/codecaction.cpp
    editor/codec/codecmanager.cpp
    editor/kmcomposerwin.cpp
    editor/attachment/attachmentcontroller.cpp
    editor/attachment/attachmentview.cpp
    editor/widgets/cryptostateindicatorwidget.cpp
    editor/validatesendmailshortcut.cpp
    editor/kmcomposerglobalaction.cpp
    editor/kmcomposerupdatetemplatejob.cpp
    editor/kmcomposercreatenewcomposerjob.cpp
    editor/pimmessagebox.cpp
    editor/warningwidgets/externaleditorwarning.cpp
    editor/warningwidgets/attachmentmissingwarning.cpp
    editor/warningwidgets/incorrectidentityfolderwarning.cpp
    editor/warningwidgets/attachmentaddedfromexternalwarning.cpp
    editor/warningwidgets/toomanyrecipientswarning.cpp
    editor/potentialphishingemail/potentialphishingemailwarning.cpp
    editor/potentialphishingemail/potentialphishingemailjob.cpp
    editor/potentialphishingemail/potentialphishingdetaildialog.cpp
    editor/potentialphishingemail/potentialphishingdetailwidget.cpp
    dialog/archivefolderdialog.cpp
    dialog/addemailtoexistingcontactdialog.cpp
    dialog/kmknotify.cpp
    dialog/spellcheckerconfigdialog.cpp
    job/addressvalidationjob.cpp
    job/createnewcontactjob.cpp
    job/addemailtoexistingcontactjob.cpp
    job/createtaskjob.cpp
    job/savedraftjob.cpp
    job/removeduplicatemailjob.cpp
    job/createfollowupreminderonexistingmessagejob.cpp
    job/removecollectionjob.cpp
    job/saveasfilejob.cpp
    job/markallmessagesasreadinfolderandsubfolderjob.cpp
    job/removeduplicatemessageinfolderandsubfolderjob.cpp
    job/handleclickedurljob.cpp
    job/composenewmessagejob.cpp
    job/opencomposerjob.cpp
    job/newmessagejob.cpp
    job/opencomposerhiddenjob.cpp
    job/fillcomposerjob.cpp
    job/createreplymessagejob.cpp
    job/createforwardmessagejob.cpp
    job/dndfromarkjob.cpp
    widgets/collectionpane.cpp
    widgets/vacationscriptindicatorwidget.cpp
    widgets/displaymessageformatactionmenu.cpp
    widgets/kactionmenutransport.cpp
    widgets/kactionmenuaccount.cpp
    widgets/zoomlabelwidget.cpp
    tag/tagactionmanager.cpp
    tag/tagselectdialog.cpp
    tag/tagmonitormanager.cpp
    plugininterface/kmailplugininterface.cpp
    plugininterface/kmailplugincheckbeforedeletingmanagerinterface.cpp
    editor/plugininterface/kmailplugineditormanagerinterface.cpp
    editor/plugininterface/kmailplugineditorcheckbeforesendmanagerinterface.cpp
    editor/plugininterface/kmailplugineditorinitmanagerinterface.cpp
    editor/plugininterface/kmailplugineditorconverttextmanagerinterface.cpp
    editor/plugininterface/kmailplugingrammareditormanagerinterface.cpp
    search/checkindexingmanager.cpp
    search/checkindexingjob.cpp
    sieveimapinterface/kmailsieveimapinstanceinterface.cpp
    sieveimapinterface/kmsieveimappasswordprovider.cpp
    undosend/undosendcombobox.cpp
    undosend/undosendmanager.cpp
    undosend/undosendcreatejob.cpp
    kmmainwin.cpp
    settings/kmailsettings.cpp
    kmreaderwin.cpp
    kmsystemtray.cpp
    unityservicemanager.cpp
    undostack.cpp
    kmkernel.cpp
    kmcommands.cpp
    kmreadermainwin.cpp
    kmmainwidget.cpp
    aboutdata.cpp
    mailserviceimpl.cpp
    secondarywindow.cpp
    util.cpp
    messageactions.cpp
    foldershortcutactionmanager.cpp
    kmlaunchexternalcomponent.cpp
    manageshowcollectionproperties.cpp
    kmmigrateapplication.cpp
    kmail.qrc

    attributes/taskattribute.h
    folderarchive/folderarchiveaccountinfo.h
    folderarchive/folderarchiveutil.h
    folderarchive/folderarchivecache.h
    folderarchive/folderarchiveagentcheckcollection.h
    folderarchive/folderarchivemanager.h
    folderarchive/folderarchiveagentjob.h
    collectionpage/collectiontemplatespage.h
    collectionpage/collectionviewpage.h
    collectionpage/collectionquotapage.h
    collectionpage/collectionquotawidget.h
    collectionpage/collectionmailinglistpage.h
    collectionpage/collectionshortcutpage.h
    configuredialog/configagentdelegate.h
    configuredialog/configuredialoglistview.h
    configuredialog/configuredialog.h
    configuredialog/configuredialog_p.h
    configuredialog/configuremiscpage.h
    configuredialog/configuresecuritypage.h
    configuredialog/configurecomposerpage.h
    configuredialog/configureappearancepage.h
    configuredialog/configureaccountpage.h
    configuredialog/configurepluginpage.h
    configuredialog/colorlistbox.h
    configuredialog/configureplugins/configurepluginslistwidget.h
    searchdialog/kmsearchmessagemodel.h
    searchdialog/searchpatternwarning.h
    searchdialog/kmailsearchpatternedit.h
    searchdialog/searchwindow.h
    searchdialog/searchdescriptionattribute.h
    searchdialog/incompleteindexdialog.h
    identity/identitylistview.h
    identity/identitydialog.h
    identity/xfaceconfigurator.h
    identity/encodedimagepicker.h
    identity/identitypage.h
    identity/newidentitydialog.h
    identity/identityeditvcarddialog.h
    identity/identityaddvcarddialog.h
    identity/identityinvalidfolder.h
    identity/identityfolderrequester.h
    editor/kmcomposereditorng.h
    editor/composer.h
    editor/codec/codecaction.h
    editor/codec/codecmanager.h
    editor/kmcomposerwin.h
    editor/attachment/attachmentcontroller.h
    editor/attachment/attachmentview.h
    editor/widgets/cryptostateindicatorwidget.h
    editor/validatesendmailshortcut.h
    editor/kmcomposerglobalaction.h
    editor/kmcomposerupdatetemplatejob.h
    editor/kmcomposercreatenewcomposerjob.h
    editor/pimmessagebox.h
    editor/warningwidgets/externaleditorwarning.h
    editor/warningwidgets/attachmentmissingwarning.h
    editor/warningwidgets/incorrectidentityfolderwarning.h
    editor/warningwidgets/attachmentaddedfromexternalwarning.h
    editor/warningwidgets/toomanyrecipientswarning.h
    editor/potentialphishingemail/potentialphishingemailwarning.h
    editor/potentialphishingemail/potentialphishingemailjob.h
    editor/potentialphishingemail/potentialphishingdetaildialog.h
    editor/potentialphishingemail/potentialphishingdetailwidget.h
    dialog/archivefolderdialog.h
    dialog/addemailtoexistingcontactdialog.h
    dialog/kmknotify.h
    dialog/spellcheckerconfigdialog.h
    job/addressvalidationjob.h
    job/createnewcontactjob.h
    job/addemailtoexistingcontactjob.h
    job/createtaskjob.h
    job/savedraftjob.h
    job/removeduplicatemailjob.h
    job/createfollowupreminderonexistingmessagejob.h
    job/removecollectionjob.h
    job/saveasfilejob.h
    job/markallmessagesasreadinfolderandsubfolderjob.h
    job/removeduplicatemessageinfolderandsubfolderjob.h
    job/handleclickedurljob.h
    job/composenewmessagejob.h
    job/opencomposerjob.h
    job/newmessagejob.h
    job/opencomposerhiddenjob.h
    job/fillcomposerjob.h
    job/createreplymessagejob.h
    job/createforwardmessagejob.h
    job/dndfromarkjob.h
    widgets/collectionpane.h
    widgets/vacationscriptindicatorwidget.h
    widgets/displaymessageformatactionmenu.h
    widgets/kactionmenutransport.h
    widgets/kactionmenuaccount.h
    widgets/zoomlabelwidget.h
    tag/tagactionmanager.h
    tag/tagselectdialog.h
    tag/tagmonitormanager.h
    plugininterface/kmailplugininterface.h
    plugininterface/kmailplugincheckbeforedeletingmanagerinterface.h
    editor/plugininterface/kmailplugineditormanagerinterface.h
    editor/plugininterface/kmailplugineditorcheckbeforesendmanagerinterface.h
    editor/plugininterface/kmailplugineditorinitmanagerinterface.h
    editor/plugininterface/kmailplugineditorconverttextmanagerinterface.h
    editor/plugininterface/kmailplugingrammareditormanagerinterface.h
    search/checkindexingmanager.h
    search/checkindexingjob.h
    sieveimapinterface/kmailsieveimapinstanceinterface.h
    sieveimapinterface/kmsieveimappasswordprovider.h
    undosend/undosendcombobox.h
    undosend/undosendmanager.h
    undosend/undosendcreatejob.h
    kmmainwin.h
    settings/kmailsettings.h
    kmreaderwin.h
    kmsystemtray.h
    unityservicemanager.h
    undostack.h
    kmkernel.h
    kmcommands.h
    kmreadermainwin.h
    kmmainwidget.h
    aboutdata.h
    mailserviceimpl.h
    secondarywindow.h
    util.h
    messageactions.h
    foldershortcutactionmanager.h
    kmlaunchexternalcomponent.h
    manageshowcollectionproperties.h
    kmmigrateapplication.h
    historyswitchfolder/collectionswitchertreeview.cpp
    historyswitchfolder/collectionswitchertreeview.h
    historyswitchfolder/collectionswitchertreeviewmanager.h
    historyswitchfolder/collectionswitchertreeviewmanager.cpp
    historyswitchfolder/collectionswitchermodel.h
    historyswitchfolder/collectionswitchermodel.cpp
    )

qt_add_dbus_adaptor(kmailprivate_LIB_SRCS
    ${kmail_BINARY_DIR}/src/org.kde.kmail.mailcomposer.xml editor/kmcomposerwin.h KMComposerWin
    )

qt_add_dbus_adaptor(kmailprivate_LIB_SRCS

=== agents/archivemailagent/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2012-2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_archivemail_agent\")

add_library(archivemailagent STATIC)
target_sources(archivemailagent PRIVATE
    archivemailkernel.cpp
    archivemailmanager.cpp
    archivemailinfo.cpp
    job/archivejob.cpp
    archivemailagentutil.cpp
    )

kconfig_add_kcfg_files(archivemailagent
    settings/archivemailagentsettings.kcfgc
    )


qt_add_dbus_adaptor(libarchivemailagent_SRCS org.freedesktop.Akonadi.ArchiveMailAgent.xml archivemailagent.h ArchiveMailAgent)
target_sources(archivemailagent PRIVATE ${libarchivemailagent_SRCS})

ecm_qt_declare_logging_category(archivemailagent HEADER archivemailagent_debug.h IDENTIFIER ARCHIVEMAILAGENT_LOG CATEGORY_NAME org.kde.pim.archivemailagent
        DESCRIPTION "kmail (archivemailagent)"
        OLD_CATEGORY_NAMES log_archivemailagent
        EXPORT KMAIL
    )


ki18n_wrap_ui(archivemailagent ui/archivemailwidget.ui )

pim_target_precompile_headers(archivemailagent PUBLIC ../../kmail_pch.h)
#if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
#    set_target_properties(archivemailagent PROPERTIES UNITY_BUILD ON)
#endif()
target_link_libraries(archivemailagent
    KF5::MailCommon
    KF5::AkonadiAgentBase
    KF5::I18n
    KF5::Notifications
    KF5::KIOWidgets
)

########################### Agent executable ################################

add_executable(akonadi_archivemail_agent archivemailagent.cpp)

target_link_libraries(akonadi_archivemail_agent
    archivemailagent
    KF5::AkonadiCore
    KF5::IdentityManagement
    KF5::AkonadiMime
    KF5::AkonadiAgentBase
    KF5::DBusAddons
    KF5::XmlGui
    KF5::KIOWidgets
    KF5::Notifications
    KF5::MailCommon
    KF5::I18n
    )

if( APPLE )
    set_target_properties(akonadi_archivemail_agent PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${kmail_SOURCE_DIR}/agents/Info.plist.template)
    set_target_properties(akonadi_archivemail_agent PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.archivemail")
    set_target_properties(akonadi_archivemail_agent PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Email Archiver")
endif ()

install(TARGETS akonadi_archivemail_agent ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES archivemailagent.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")
install(FILES akonadi_archivemail_agent.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR} )


if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

########## Configuration ##############


kcoreaddons_add_plugin(archivemailagentconfig
    INSTALL_NAMESPACE akonadi/config
)
target_sources(archivemailagentconfig PRIVATE
    addarchivemaildialog.cpp
    archivemailwidget.cpp
    widgets/formatcombobox.cpp
    widgets/unitcombobox.cpp
)
target_link_libraries(archivemailagentconfig
    archivemailagent
    KF5::AkonadiCore
    KF5::XmlGui
    KF5::I18n
)
#if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
#    set_target_properties(archivemailagentconfig PROPERTIES UNITY_BUILD ON)
#endif()


install(FILES settings/archivemailagentsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== agents/followupreminderagent/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014-2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_followupreminder_agent\")

add_library(followupreminderagent STATIC)




kconfig_add_kcfg_files(followupreminderagent
        followupreminderagentsettings.kcfgc
    )

ecm_qt_declare_logging_category(followupreminderagent HEADER followupreminderagent_debug.h IDENTIFIER FOLLOWUPREMINDERAGENT_LOG CATEGORY_NAME org.kde.pim.followupreminderagent
        DESCRIPTION "kmail (followupreminderagent)"
        OLD_CATEGORY_NAMES log_followupreminderagent
        EXPORT KMAIL
    )

qt_add_dbus_adaptor(followupreminderagent_SRCS org.freedesktop.Akonadi.FollowUpReminder.xml followupreminderagent.h FollowUpReminderAgent)

qt_add_dbus_interface(followupreminderagent_SRCS org.freedesktop.Notifications.xml notifications_interface)
qt_add_dbus_interface(followupreminderagent_SRCS org.freedesktop.DBus.Properties.xml dbusproperties)

target_sources(followupreminderagent PRIVATE
    followupremindermanager.cpp
    followupremindernoanswerdialog.cpp
    followupreminderinfowidget.cpp
    followupreminderinfo.cpp
    followupreminderutil.cpp
    jobs/followupreminderjob.cpp
    jobs/followupreminderfinishtaskjob.cpp
    jobs/followupremindershowmessagejob.cpp

    followupremindermanager.h
    followupremindernoanswerdialog.h
    followupreminderinfowidget.h
    followupreminderinfo.h
    followupreminderutil.h
    jobs/followupreminderjob.h
    jobs/followupreminderfinishtaskjob.h
    jobs/followupremindershowmessagejob.h

    ${followupreminderagent_SRCS}
    )

pim_target_precompile_headers(followupreminderagent PUBLIC ../../kmail_pch.h)
#if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
#    set_target_properties(followupreminderagent PROPERTIES UNITY_BUILD ON)
#endif()

target_link_libraries(followupreminderagent
    KF5::AkonadiCore
    KF5::IdentityManagement
    KF5::AkonadiMime
    KF5::AkonadiAgentBase
    KF5::DBusAddons
    KF5::XmlGui
    KF5::KIOWidgets
    KF5::Notifications
    KF5::MailCommon
    KF5::I18n
    KF5::CalendarCore
)


########################### Agent executable ################################
add_executable(akonadi_followupreminder_agent followupreminderagent.cpp)

target_link_libraries(akonadi_followupreminder_agent
    followupreminderagent
    KF5::AkonadiCore
    KF5::AkonadiMime
    KF5::AkonadiAgentBase
    KF5::Mime
    KF5::CalendarCore
    KF5::DBusAddons
    Qt::Widgets
    KF5::Notifications
    KF5::I18n
    KF5::XmlGui
    KF5::Service
    )

if( APPLE )
    set_target_properties(akonadi_followupreminder_agent PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${kmail_SOURCE_DIR}/agents/Info.plist.template)
    set_target_properties(akonadi_followupreminder_agent PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.akonadi_followupreminder_agent")
    set_target_properties(akonadi_followupreminder_agent PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Followup Reminder Agent")
endif ()

install(TARGETS akonadi_followupreminder_agent ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES followupreminder.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

install(FILES akonadi_followupreminder_agent.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR} )

########## Configuration ##############

set(followupreminderagentconfig_SRCS
    followupreminderinfoconfigwidget.cpp
    followupreminderinfoconfigwidget.h
)

kcoreaddons_add_plugin(followupreminderagentconfig
    SOURCES ${followupreminderagentconfig_SRCS}
    INSTALL_NAMESPACE akonadi/config
)
target_link_libraries(followupreminderagentconfig
    followupreminderagent
    KF5::AkonadiCore
    KF5::XmlGui
    KF5::I18n
)

=== agents/mailmergeagent/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_mailmerge_agent\")
if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()
add_library(mailmergeagent STATIC)


ecm_qt_declare_logging_category(mailmergeagent HEADER mailmergeagent_debug.h IDENTIFIER MAILMERGEAGENT_LOG CATEGORY_NAME org.kde.pim.mailmergeagent
        DESCRIPTION "kmail (mailmergeagent)"
        OLD_CATEGORY_NAMES log_mailmergeagent
        EXPORT KMAIL
    )

qt_add_dbus_adaptor(mailmergeagent_SRCS org.freedesktop.Akonadi.MailMergeAgent.xml mailmergeagent.h MailMergeAgent)

ki18n_wrap_ui(mailmergeagent ui/mailmergeconfigurewidget.ui)

target_sources(mailmergeagent PRIVATE
    mailmergeagent.cpp
    mailmergemanager.cpp
    mailmergeconfiguredialog.cpp
    mailmergeconfigurewidget.cpp
    mailmergeutil.cpp
    mailmergeagent.h
    mailmergemanager.h
    mailmergeconfiguredialog.h
    mailmergeconfigurewidget.h
    mailmergeutil.h
    ${mailmergeagent_SRCS}
    )

kconfig_add_kcfg_files(mailmergeagent mailmergeagentsettings.kcfgc)
#if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
#    set_target_properties(sendlateragent PROPERTIES UNITY_BUILD ON)
#endif()

target_link_libraries(mailmergeagent
    KF5::AkonadiCore
    KF5::AkonadiMime
    KF5::MailTransportAkonadi
    #KF5::Mime
    KF5::MessageComposer
    KF5::MessageCore
    KF5::DBusAddons
    KF5::WindowSystem
    KF5::XmlGui
    KF5::I18n
    KF5::Notifications
    KF5::AkonadiAgentBase
    )

add_executable(akonadi_mailmerge_agent)
target_link_libraries(akonadi_mailmerge_agent
    mailmergeagent
    KF5::AkonadiAgentBase
    )



if( APPLE )
    set_target_properties(akonadi_mailmerge_agent PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${kmail_SOURCE_DIR}/agents/Info.plist.template)
    set_target_properties(akonadi_mailmerge_agent PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Mail Merge")
endif ()

install(TARGETS akonadi_mailmerge_agent ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES mailmergeagent.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")
install(FILES akonadi_mailmerge_agent.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR} )

#kcoreaddons_add_plugin(mailmergeagentconfig
#    SOURCES ${mailmergeagentconfig_SRCS}
#    INSTALL_NAMESPACE akonadi/config
#    )

=== agents/unifiedmailboxagent/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_unifiedmailbox_agent\")

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()


add_executable(akonadi_unifiedmailbox_agent)
ecm_qt_declare_logging_category(akonadi_unifiedmailbox_agent HEADER unifiedmailboxagent_debug.h IDENTIFIER UNIFIEDMAILBOXAGENT_LOG CATEGORY_NAME org.kde.pim.unifiedmailboxagent
        DESCRIPTION "kmail (unifiedmailboxagent)"
        EXPORT KMAIL
    )

kconfig_add_kcfg_files(akonadi_unifiedmailbox_agent
    settings.kcfgc
)

qt_add_dbus_adaptor(unifiedmailbox_agent_SRCS org.freedesktop.Akonadi.UnifiedMailboxAgent.xml unifiedmailboxagent.h UnifiedMailboxAgent)
target_sources(akonadi_unifiedmailbox_agent PRIVATE
    unifiedmailbox.cpp
    unifiedmailboxagent.cpp
    unifiedmailboxmanager.cpp
    unifiedmailboxeditor.cpp
    settingsdialog.cpp
    mailkernel.cpp
    unifiedmailbox.h
    unifiedmailboxagent.h
    unifiedmailboxmanager.h
    unifiedmailboxeditor.h
    settingsdialog.h
    mailkernel.h
    ${unifiedmailbox_agent_SRCS}
)

#if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
#    set_target_properties(akonadi_unifiedmailbox_agent PROPERTIES UNITY_BUILD ON)
#endif()
target_link_libraries(akonadi_unifiedmailbox_agent
    KF5::AkonadiAgentBase
    KF5::AkonadiMime
    KF5::AkonadiWidgets
    KF5::Mime
    KF5::I18n
    KF5::IdentityManagement
    KF5::WidgetsAddons
    KF5::IconThemes
    KF5::ItemModels
    KF5::MailCommon
    KF5::DBusAddons
)

if( APPLE )
    set_target_properties(akonadi_unifiedmailbox_agent PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${kmail_SOURCE_DIR}/agents/Info.plist.template)
    set_target_properties(akonadi_unifiedmailbox_agent PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.KF5::UnifiedMailbox")
    set_target_properties(akonadi_unifiedmailbox_agent PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE PIM Unified Mailbox")
endif ()

install(TARGETS akonadi_unifiedmailbox_agent ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES unifiedmailboxagent.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")

=== src/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

########### dbus test ###############
set(dbustest_SRCS dbustest.cpp)
qt_add_dbus_interfaces(dbustest_SRCS ${kmail_BINARY_DIR}/src/org.kde.kmail.kmail.xml)
add_executable(dbustest ${dbustest_SRCS})
add_dependencies(dbustest kmail_xml)
target_link_libraries(dbustest KF5::KIOCore KF5::I18n Qt::DBus)

#####
add_executable(searchdbustest  searchdbustest.cpp)
target_link_libraries(searchdbustest Qt::DBus Qt::Widgets KF5::PimCommonAkonadi)

#####
add_executable(searchmailertest searchmailertest.cpp)
target_link_libraries(searchmailertest KF5::MailCommon KF5::Ldap)

=== agents/mailmergeagent/autotests/CMakeLists.txt ===
# Convenience macro to add unit tests.
macro( mailmerge_agent _source )
    set( _test ${_source})
    get_filename_component( _name ${_source} NAME_WE )
    ecm_add_test(${_test}
        TEST_NAME ${_name}
        NAME_PREFIX "mailmerge-"
        LINK_LIBRARIES mailmergeagent Qt::Test KF5::AkonadiCore Qt::Widgets KF5::I18n KF5::XmlGui KF5::Service
        )
endmacro()

=== agents/sendlateragent/autotests/CMakeLists.txt ===
# Convenience macro to add unit tests.
macro(add_sendlater_agent_test _source )
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source}
        TEST_NAME ${_name}
        NAME_PREFIX "sendlateragent-"
        LINK_LIBRARIES sendlateragent Qt::Test
        )
endmacro()

add_sendlater_agent_test(sendlaterutiltest.cpp)
add_sendlater_agent_test(sendlaterconfiguredialogtest.cpp)
add_sendlater_agent_test(sendlaterconfigtest.cpp)

=== agents/unifiedmailboxagent/autotests/CMakeLists.txt ===
set(common_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/../unifiedmailboxagent_debug.cpp
)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)

add_definitions(-DUNIT_TESTS)
kconfig_add_kcfg_files(unifiedmailbox_agent_autotest_SRCS
    ../settings.kcfgc
)
add_akonadi_isolated_test(SOURCE unifiedmailboxmanagertest.cpp
    ADDITIONAL_SOURCES ${common_SRCS} ../unifiedmailboxmanager.cpp ../unifiedmailbox.cpp ${unifiedmailbox_agent_autotest_SRCS}
    LINK_LIBRARIES KF5::I18n KF5::AkonadiMime KF5::ConfigGui
)

=== src/folderarchive/autotests/CMakeLists.txt ===

# Convenience macro to add unit tests.
macro( folderarchive_kmail _source )
  set( _test ${_source} )
  get_filename_component( _name ${_source} NAME_WE )
  add_executable( ${_name} ${_test} )
  add_test(NAME ${_name} COMMAND ${_name} )
  ecm_mark_as_test(folderararchive-${_name})

  target_link_libraries( ${_name} Qt::Test Qt::Core  KF5::AkonadiCore KF5::ConfigCore kmailprivate)
endmacro()

folderarchive_kmail(folderarchiveaccountinfotest.cpp)

=== src/historyswitchfolder/autotests/CMakeLists.txt ===
macro(add_kmail_historyswitchfolder_unittest _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source}
        TEST_NAME ${_name}
        LINK_LIBRARIES kmailprivate Qt::Test Qt::Widgets
    )
endmacro ()


add_kmail_historyswitchfolder_unittest(collectionswitchertreeviewtest.cpp)
add_kmail_historyswitchfolder_unittest(collectionswitchertreeviewmanagertest.cpp)

=== debian/changelog ===
kmail (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:12:35 +0000

kmail (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key
  * Add 'export DEB_BUILD_MAINT_OPTIONS = optimize=-lto' to debian/rules to
    workaround FTBFS with latest toolchain in jammy

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:19:10 +0000

kmail (4:21.12.1-0ubuntu2) jammy; urgency=medium

  * Build against release pocket.

 -- Rik Mills <rikmills@kde.org>  Fri, 07 Jan 2022 14:50:01 +0000

kmail (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:27:03 +0000

kmail (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:24:10 +0000

kmail (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:19:23 +0000

kmail (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 23:30:55 +0000

kmail (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:41:54 +0000

=== debian/control ===
Source: kmail
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               kuserfeedback-dev,
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpgme-dev,
               libgpgmepp-dev,
               libgrantlee5-dev (>= 5.0.0~),
               libkf5akonadi-dev (>= 4:21.12.3~),
               libkf5akonadicalendar-dev (>= 4:21.12.3~),
               libkf5akonadicontact-dev (>= 4:21.12.3~),
               libkf5akonadimime-dev (>= 4:21.12.3~),
               libkf5akonadinotes-dev (>= 4:21.12.3~),
               libkf5akonadisearch-dev (>= 4:21.12.3~),
               libkf5akonadiserver-dev (>= 4:21.12.3~),
               libkf5alarmcalendar-dev (>= 4:21.12.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarsupport-dev (>= 4:21.12.3~),
               libkf5calendarutils-dev (>= 4:21.12.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:21.12.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5eventviews-dev (>= 4:21.12.3~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 21.12.3~),
               libkf5gravatar-dev (>= 4:21.12.3~),
               libkf5holidays-dev (>= 1:5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 21.12.3~),
               libkf5imap-dev (>= 21.12.3~),
               libkf5incidenceeditor-dev (>= 21.12.3~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kontactinterface-dev (>= 21.12.3~),
               libkf5ksieve-dev (>= 4:21.12.3~),
               libkf5ldap-dev (>= 21.12.3~),
               libkf5libkdepim-dev (>= 4:21.12.3~),
               libkf5libkleo-dev (>= 4:21.12.3~),
               libkf5mailcommon-dev (>= 4:21.12.3~),
               libkf5mailimporter-dev (>= 4:21.12.3~),
               libkf5mailtransport-dev (>= 21.12.3~),
               libkf5mbox-dev (>= 21.12.3~),
               libkf5messagecomposer-dev (>= 4:21.12.3~),
               libkf5messagecore-dev (>= 4:21.12.3~),
               libkf5messagelist-dev (>= 4:21.12.3~),
               libkf5messageviewer-dev (>= 4:21.12.3~),
               libkf5mime-dev (>= 21.12.3~),
               libkf5mimetreeparser-dev (>= 4:21.12.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:21.12.3~),
               libkf5pimtextedit-dev (>= 21.12.3~),
               libkf5prison-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5syndication-dev (>= 18.08.3~),
               libkf5syntaxhighlighting-dev,
               libkf5templateparser-dev (>= 4:21.12.3~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5tnef-dev (>= 4:21.12.3~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:21.12.3~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libkpimgapi-dev (>= 21.12.3~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qt5keychain-dev,
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmail
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmail

Package: kmail
Section: mail
Architecture: any
Depends: akonadi-server (>= 4:16.04),
         kdepim-runtime,
         libkf5akonadisearch-bin,
         libkf5akonadisearch-plugins,
         libkf5grantleetheme-plugins,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
Recommends: accountwizard,
            gnupg-agent,
            gnupg2,
            kdepim-addons,
            kdepim-themeeditors,
            kmailtransport-akonadi,
            ktnef,
            mbox-importer,
            pim-data-exporter,
            pim-sieve-editor,
            pinentry-qt | pinentry-x11,
Suggests: clamav,
          kaddressbook,
          kleopatra,
          procmail,
          spamassassin | bogofilter | spambayes (>= 1.0.4-6) | bsfilter | crm114,
Provides: imap-client, mail-reader
Homepage: http://kontact.kde.org/kmail/
Description: full featured graphical email client
 KMail supports multiple accounts, mail filtering and email encryption.
 The program let you configure your workflow and it has good integration into
 KDE (Plasma Desktop) but is also useable with other Desktop Environments.

Package: ktnef
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-doc (<= 4:16.12), kmail (<= 4:16.04), kontact (<< 4:17.04)
Replaces: kdepim-doc (<= 4:16.12), kmail (<= 4:16.04), kontact (<< 4:17.04)
Description: Viewer for mail attachments using TNEF format
 The TNEF File Viewer allows one to handle easily mail attachments using
 the TNEF format. Those attachments are usually found in mails coming from
 Microsoft mail servers and embed the mail properties as well as the actual
 attachments.
 .
 An attachment in TNEF format is most often named winmail.dat or win.dat.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = optimize=-lto

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

#override_dh_auto_build:
#	dh_auto_build  --no-parallel

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:
